#include <bits/stdc++.h>
using namespace std;
int n;
int g;
char change(char a)
{
    if((a>='A' && a<='Z')  )
    {

        g=a-n;

            if(g>90) a=g%90-90+64;
            else if(g<65) a=90-(64-g%65);
            else a=g;



    }
    else if(a>='a' && a<='z')
    {
        g=a-n;

            if(g>122) a=g%122-122+96;
            else if(g<97) a=122-(96-g%97);
            else a=g;



    }
    return a;
}



int main()
{
    ios_base :: sync_with_stdio(0);
    cin.tie(nullptr);
    cout.tie(nullptr);

    string a;
    getline(cin,a);
    cin>>n;

    for(int i=0; i<a.size(); i++)
    {
        a[i]=change(a[i]);
    }

    cout<<a<<endl;


    return 0;
}

